Bug 166916 - upgrading postgresql does not warn about incompatability with older databases
upgrading postgresql does not warn about incompatability with older databases
Status: CLOSED CURRENTRELEASE
Product: Fedora Documentation
Classification: Fedora
Component: release-notes (Show other bugs)
devel
All Linux
medium Severity medium
: ---
: ---
Assigned To: Release Notes Tracker
David Lawrence
http://fedoraproject.org/wiki/DocsPro...
:
Depends On:
Blocks: fc5-relnotes-traqr
  Show dependency treegraph
 
Reported: 2005-08-27 12:04 EDT by Nicola Soranzo
Modified: 2007-04-18 13:30 EDT (History)
2 users (show)

See Also:
Fixed In Version: WIKI
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-24 11:32:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicola Soranzo 2005-08-27 12:04:28 EDT
Description of problem, bug, incorrect information, or enhancement request:

When upgrading Fedora, if PostgreSQL is upgraded to a new major release (as with
FC3 to FC4), the user should be warned that old databases wouldn't be accessible
anymore. For PostgreSQL 7.x -> 8.0 upgrade procedure see:

http://www.postgresql.org/docs/8.0/interactive/install-upgrading.html


Version of release notes this bug refers to:

Fedora Core 4 final release
Comment 1 Rahul Sundaram 2005-08-27 12:17:47 EDT
Thank you for the report. Does Postgres break the database format in every major
release?. At any case this is something the installer should potentially warn
about if not taking care of the migration process required itself or through the
postgres package.If this is not feasible we can look into documenting a warning
in the release notes.  

Reassigning it to component Anaconda and corresponding maintainer
Comment 2 Nicola Soranzo 2005-08-27 12:28:35 EDT
(In reply to comment #1)
> Thank you for the report. Does Postgres break the database format in every 
> major release?.

Presently yes, at every first or second number change (eg. 7.2.x -> 7.3.y or
7.4.x -> 8.0.y).
Comment 3 Jeremy Katz 2005-08-29 14:41:15 EDT
It's impossible for the installer to know and be able to warn about every
incompatibility in every package.

In general, packages should handle this sanely for themselves.  Traditionally,
postgresql has only been handled by a release notes entry :/
Comment 4 Tom Lane 2005-08-29 14:54:44 EDT
Yeah, this is a problem the upstream project has struggled with and not really
found any satisfactory answer to.  We tried auto-upgrade support in the RPMs for
awhile, but that didn't work decently either, so we eventually gave it up. 
Basically this is something that has to be mentioned in the release notes every
time we update to a new major Postgres release.

(Hmm, do we have a "release notes" component I could reassign this to?  I'm not
seeing one in the menu ...)
Comment 5 Karsten Wade 2005-08-29 15:04:10 EDT
Yeah, we do, different product.  You have to reassign and do an extra step,
which is what I'm about to do when I commit this change:

1. Pick product, Fedora Documentation
2. Commit change
3. Next page lets you pick new component within the new product
4. Choose release-notes component and commit

All is good from there, should be reassigned now.

You can also always add relnotes@fedoraproject.org in the Cc: if you want us to
note a bug without having to reassign it.
Comment 6 Karsten Wade 2005-08-29 15:05:22 EDT
Maybe I missed something, this should fix it.
Comment 7 Robert 'Bob' Jensen 2006-02-24 03:01:27 EST
This bug has been fixed for the FC5 release notes
http://fedoraproject.org/wiki/Docs/Beats/DatabaseServers
Comment 8 Karsten Wade 2006-02-24 11:32:55 EST
This same topic was addressed (and now resolved) in bug #182705.

This is fixed in the Wiki and shall be the source for the FC5 final release notes.

Note You need to log in before you can comment on or make changes to this bug.